<?php
    include "../conexion/conexion.php";
    include '../validacion.php';
    date_default_timezone_set("America/Lima");
    $ahora = date("Y-m-d H:i:s");

    $opcion = $_GET['opcion'];
    $idusuario = $_GET['usuario'];

    if($opcion == 1){
        $sql="UPDATE usuario SET estado=2 WHERE idusuario=$idusuario";
        $consulta = $pdo->prepare($sql);
        if($consulta->execute()){

            // AÑADIENDO EL REGISTRO LOG CUANDO UN USUARIO ES ACEPTADO
            //----------------------------------------------------------------------------
            // IDTABLALOG = 1  ES USUARIOS
            $sql = "SELECT * FROM tablalog WHERE idtablalog = 1";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablalog = $consulta->fetchAll(PDO::FETCH_ASSOC);

                foreach ($tablalog as $gotablalog) {
                    $idtablalog = $gotablalog['idtablalog'];
                    $nombretablalog = $gotablalog['nombretablalog'];
                }
            //----------------------------------------------------------------------------
            $sql = "SELECT * FROM usuario WHERE idusuario = '$idusuario'";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablausuario = $consulta->fetchAll(PDO::FETCH_ASSOC);
    
                foreach ($tablausuario as $gotablausuario) {
                    $nombreusuario = $gotablausuario['nombreusuario'];
                }

            //----------------------------------------------------------------------------
            $accion = $nombreusuario_sesion." HA APROBADO LA SOLICITUD DE PENDIENTE DE ".$nombreusuario;
            $crud = "ACTUALIZAR";
            //----------------------------------------------------------------------------
            $sql="INSERT INTO detalletablalog VALUES (null,?,?,?,?,?);";
            $sentencia = $pdo->prepare($sql);   
            $sentencia->bindParam(1,$accion);
            $sentencia->bindParam(2,$ahora);
            $sentencia->bindParam(3,$crud);
            $sentencia->bindParam(4,$idusuario);
            $sentencia->bindParam(5,$idtablalog);                
            $sentencia->execute();
            //----------------------------------------------------------------------------
            
            $metapersonal = "15";
            
            $sql="INSERT INTO metas VALUES (null,?,?);";
            $sentencia = $pdo->prepare($sql);   
            $sentencia->bindParam(1, $metapersonal);
            $sentencia->bindParam(2, $idusuario);
            $sentencia->execute();


            echo '<script type="text/javascript">alert("Usuario Aceptado");window.location.href="usuariospendientes.php";</script>';
        }
        else{
            echo '<script type="text/javascript">alert("Error al Aceptar Usuario");window.location.href="usuariospendientes.php";</script>';
        }
    }
    else if($opcion == 2){
        $sql = "DELETE FROM usuario WHERE idusuario=$idusuario";
        $consulta = $pdo->prepare($sql);
        if ($consulta->execute()) {

            // AÑADIENDO EL REGISTRO LOG CUANDO UN USUARIO ES RECHAZADO
            //----------------------------------------------------------------------------
            // IDTABLALOG = 1  ES USUARIOS
            $sql = "SELECT * FROM tablalog WHERE idtablalog = 1";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablalog = $consulta->fetchAll(PDO::FETCH_ASSOC);

                foreach ($tablalog as $gotablalog) {
                    $idtablalog = $gotablalog['idtablalog'];
                    $nombretablalog = $gotablalog['nombretablalog'];
                }
            //----------------------------------------------------------------------------
            $sql = "SELECT * FROM usuario WHERE idusuario = '$idusuario'";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablausuario = $consulta->fetchAll(PDO::FETCH_ASSOC);
    
                foreach ($tablausuario as $gotablausuario) {
                    $nombreusuario = $gotablausuario['nombreusuario'];
                }

            //----------------------------------------------------------------------------
            $accion = $nombreusuario_sesion." HA RECHAZADO LA SOLICITUD DE PENDIENTE DE ".$nombreusuario;
            $crud = "ACTUALIZAR";
            //----------------------------------------------------------------------------
            $sql="INSERT INTO detalletablalog VALUES (null,?,?,?,?,?);";
            $sentencia = $pdo->prepare($sql);   
            $sentencia->bindParam(1,$accion);
            $sentencia->bindParam(2,$ahora);
            $sentencia->bindParam(3,$crud);
            $sentencia->bindParam(4,$idusuario);
            $sentencia->bindParam(5,$idtablalog);                
            $sentencia->execute();
            //----------------------------------------------------------------------------

            echo'<script type="text/javascript">alert("Usuario Rechazado");window.location.href="usuariospendientes.php";</script>';
        } else {
            echo'<script type="text/javascript">alert("Error al Rechazar Usuario");window.location.href="usuariospendientes.php";</script>';
        }
    }

   
?>